Loading...
Searching...
No Matches
Undirector< DGR >::CombinedArcMap< FW, BK > Class Template Reference

## Detailed Description

template<typename DGR>
template<typename FW, typename BK>
class lemon::Undirector< DGR >::CombinedArcMap< FW, BK >

This map adaptor class adapts two arc maps of the underlying digraph to get an arc map of the undirected graph. Its value type is inherited from the first arc map type (`FW`).

Template Parameters

  FW | The type of the "foward" arc map.
  BK | The type of the "backward" arc map.

`#include <lemon/adaptors.h>`

## Public Types

typedef Parent::Arc | Key
| The key type of the map.
typedef FW::Value | Value
| The value type of the map.

## Public Member Functions

| CombinedArcMap (FW &forward, BK &backward)
| Constructor.
void | set (const Key &e, const Value &a)
| Sets the value associated with the given key.
ConstReturnValue | operator[] (const Key &e) const
| Returns the value associated with the given key.
ReturnValue | operator[] (const Key &e)
| Returns a reference to the value associated with the given key.